save "C:\Users\mottaleb\Documents\Price-USA\Rice\ricennew.dta"

label variable argt "Rice price US$/ton real UNcomtrade"
label variable bra "Rice price Brazil US$/ton real UNcomtrade"
label variable argt "Rice price Argentina US$/ton real UNcomtrade"
label variable uru "Rice price Uruguya US$/ton real UNcomtrade"
label variable pak "Rice price nonbasmati US$/ton real website"
label variable ind "Rice price nonbasmati India US$/ton real website"
label variable pak "Rice price nonbasmati Pak US$/ton real website"
label variable tha "Rice price nonaromatic Thailand US$/ton real website"
label variable vt5 "Rice price Vietnam US$/ton real FAO"
label variable uslong "Rice price USA US$/ton real FAO "
label variable uslong "Rice price USA US$/ton real FAO US 2, 4% 1/"
label variable thar "US 2, 4% 1/"
label variable thar "Rice price aromatic Thailand US$/ton real website"
label variable inba "Rice price Basmati India  US$/ton real website"
label variable pakb "Rice price Basmati Pakistan US$/ton real website"
label variable olp "Average crude oil price US$/barrel WB Pink sheet"
label variable ph "Phosphate rock  price US$/ton WB Pink sheet"
label variable ur "Urea  price US$/ton WB Pink sheet"
label variable olp "Average crude oil price US$/barrel real WB Pink sheet"
label variable pt "Potassium chloride  price US$/ton WB Pink sheet real"


gen time1=tm(2012m1)+_n-1
tsset time1, monthly




///transforming log

gen lnus=ln(uslong)
gen lnar=ln(argt)
gen lnbr=ln(bra)
gen lnnbi=ln(ind)
gen lnnbp=ln(pak)
gen lnnjt=ln(tha)
gen lnuru=ln(uru)
gen lnvt=ln(vt5)
gen lnbin=ln(inba)
gen lnbpk=ln(pakb)
gen lnart=ln(thar)



///Exogeneous

gen lnop=ln(olp)

gen lnph=ln(ph)
gen lnur=ln(ur)
gen lnpt=ln(pt)




//Unit root test



///Dickey-Fuller GLS based  unit-root test
       

dfgls lnnbi,trend
dfgls d.lnnbi, trend

dfgls lnnjt, trend
dfgls d.lnnjt, trend

dfgls lnvt, trend
dfgls d.lnvt, trend

dfgls lnnbp, trend
dfgls d.lnnbp, trend


dfgls lnus, trend
dfgls d.lnus, trend
 
dfgls lnar, trend
dfgls d.lnar, trend

dfgls lnbr, trend
dfgls d.lnbr, trend

dfgls lnuru, trend
dfgls d.lnuru, trend


dfgls lnbin, trend
dfgls d.lnbin, trend

dfgls lnbpk, trend
dfgls d.lnbpk, trend

dfgls lnart, trend
dfgls d.lnart, trend


//Exogeneous
dfgls lnop, trend
dfgls d.lnop, trend

dfgls lnph, trend
dfgls d.lnph, trend

dfgls lnur, trend
dfgls d.lnur, trend


dfgls lnpt, trend
dfgls d.lnpt, trend


///Phillips-Perron unit-root test




pperron lnnbi,trend
pperron d.lnnbi, trend

pperron lnnjt, trend
pperron d.lnnjt, trend

pperron lnvt, trend
pperron d.lnvt, trend

pperron lnnbp, trend
pperron d.lnnbp, trend


pperron lnus, trend
pperron d.lnus, trend
 
pperron lnar, trend
pperron d.lnar, trend

pperron lnbr, trend
pperron d.lnbr, trend

pperron lnuru, trend
pperron d.lnuru, trend


pperron lnbin, trend
pperron d.lnbin, trend

pperron lnbpk, trend
pperron d.lnbpk, trend

pperron lnart, trend
pperron d.lnart, trend


//Exogeneous
pperron lnop, trend
pperron d.lnop, trend

pperron lnph, trend
pperron d.lnph, trend

pperron lnur, trend
pperron d.lnur, trend


pperron lnpt, trend
pperron d.lnpt, trend


///Kwiatkowski-Phillips-Schmidt-Shin test for stationarity


kpss lnnbi,trend
kpss d.lnnbi, trend

kpss lnnjt, trend
kpss d.lnnjt, trend

kpss lnvt, trend
kpss d.lnvt, trend

kpss lnnbp, trend
kpss d.lnnbp, trend


kpss lnus, trend
kpss d.lnus, trend
 
kpss lnar, trend
kpss d.lnar, trend

kpss lnbr, trend
kpss d.lnbr, trend

kpss lnuru, trend
kpss d.lnuru, trend


kpss lnbin, trend
kpss d.lnbin, trend

kpss lnbpk, trend
kpss d.lnbpk, trend

kpss lnart, trend
kpss d.lnart, trend


//Exogeneous
kpss lnop, trend
kpss d.lnop, trend

kpss lnph, trend
kpss d.lnph, trend

kpss lnur, trend
kpss d.lnur, trend


kpss lnpt, trend
kpss d.lnpt, trend

///Multiple structural break Ditzen, Karavias and Westerlund Table 2


xtbreak lnus lnar lnbr lnnbi lnnbp lnnjt lnuru lnvt lnbin lnbpk lnart lnop lnph lnur lnpt

xtbreak lnar lnus  lnbr lnnbi lnnbp lnnjt lnuru lnvt lnbin lnbpk lnart lnop lnph lnur lnpt

xtbreak lnbr lnus lnar  lnnbi lnnbp lnnjt lnuru lnvt lnbin lnbpk lnart lnop lnph lnur lnpt

xtbreak lnnbi lnus lnar lnbr  lnnbp lnnjt lnuru lnvt lnbin lnbpk lnart lnop lnph lnur lnpt

xtbreak lnnbp lnus lnar lnbr lnnbi  lnnjt lnuru lnvt lnbin lnbpk lnart lnop lnph lnur lnpt

xtbreak lnnjt lnus lnar lnbr lnnbi lnnbp  lnuru lnvt lnbin lnbpk lnart lnop lnph lnur lnpt
xtbreak lnuru lnus lnar lnbr lnnbi lnnbp lnnjt  lnvt lnbin lnbpk lnart lnop lnph lnur lnpt

xtbreak lnvt lnus lnar lnbr lnnbi lnnbp lnnjt lnuru  lnbin lnbpk lnart lnop lnph lnur lnpt

xtbreak lnbin lnus lnar lnbr lnnbi lnnbp lnnjt lnuru lnvt  lnbpk lnart lnop lnph lnur lnpt

xtbreak lnbpk lnus lnar lnbr lnnbi lnnbp lnnjt lnuru lnvt lnbin  lnart lnop lnph lnur lnpt

xtbreak lnart lnus lnar lnbr lnnbi lnnbp lnnjt lnuru lnvt lnbin lnbpk  lnop lnph lnur lnpt

xtbreak lnop lnus lnar lnbr lnnbi lnnbp lnnjt lnuru lnvt lnbin lnbpk lnart  lnph lnur lnpt

xtbreak lnph lnus lnar lnbr lnnbi lnnbp lnnjt lnuru lnvt lnbin lnbpk lnart lnop  lnur lnpt

xtbreak lnur lnus lnar lnbr lnnbi lnnbp lnnjt lnuru lnvt lnbin lnbpk lnart lnop lnph  lnpt

xtbreak lnpt lnus lnar lnbr lnnbi lnnbp lnnjt lnuru lnvt lnbin lnbpk lnart lnop lnph lnur 





///prais winsten model

//India nonbasmati

//breaks

///India
prais lnnbi lnnjt lnvt lnnbp lnus lnar lnbr  lnuru  lnbin lnbpk lnart lnop lnph lnur lnpt innb1 innb2 innb3 innb4 innb5, vce(robust) 
esttab using aro411.rtf, b(a2) se (2) starlevels (* 0.10 ** 0.05 *** 0.01) replace label nogap onecell


///Thailand 
sort time1
edit
prais lnnjt lnnbi  lnvt lnnbp lnus lnar lnbr  lnuru  lnbin lnbpk lnart lnop lnph lnur lnpt thnab1 thnab2 thnab3, vce(robust) 
esttab using aro421.rtf, b(a2) se (2) starlevels (* 0.10 ** 0.05 *** 0.01) replace label nogap onecell



//Vietnam

sort time1
edit
prais lnvt  lnnbi lnnjt  lnnbp lnus lnar lnbr  lnuru  lnbin lnbpk lnart lnop lnph lnur lnpt vtb1 vtb2 vtb3, vce(robust) 
esttab using aro431.rtf, b(a2) se (2) starlevels (* 0.10 ** 0.05 *** 0.01) replace label nogap onecell


//Pakistan NAR

sort time1
edit
prais lnnbp   lnnbi lnnjt lnvt  lnus lnar lnbr  lnuru  lnbin lnbpk lnart lnop lnph lnur lnpt pknb1 pknb2 pknb3 pknb4 pknb5, vce(robust) 
esttab using aro441.rtf, b(a2) se (2) starlevels (* 0.10 ** 0.05 *** 0.01) replace label nogap onecell


//USA
prais  lnus  lnnbi lnnjt lnvt lnnbp  lnar lnbr  lnuru  lnbin lnbpk lnart lnop lnph lnur lnpt usb1 usb2 usb3, vce(robust) 
esttab using aro451.rtf, b(a2) se (2) starlevels (* 0.10 ** 0.05 *** 0.01) replace label nogap onecell


//Argentina
prais lnar lnnbi lnnjt lnvt lnnbp lnus  lnbr  lnuru  lnbin lnbpk lnart lnop lnph lnur lnpt arb1, vce(robust) 
esttab using aro46.rtf, b(a2) se (2) starlevels (* 0.10 ** 0.05 *** 0.01) replace label nogap onecell

///Brazil
prais lnbr lnnbi lnnjt lnvt lnnbp lnus lnar   lnuru  lnbin lnbpk lnart lnop lnph lnur lnpt brb1 brb2, vce(robust) 
esttab using aro471.rtf, b(a2) se (2) starlevels (* 0.10 ** 0.05 *** 0.01) replace label nogap onecell

///Uruguya
prais lnuru lnnbi lnnjt lnvt lnnbp lnus lnar lnbr lnbin lnbpk lnart lnop lnph lnur lnpt urb1, vce(robust) 
esttab using aro48.rtf, b(a2) se (2) starlevels (* 0.10 ** 0.05 *** 0.01) replace label nogap onecell

///IndiaAR
prais lnbin lnnbi lnnjt lnvt lnnbp lnus lnar lnbr  lnuru   lnbpk lnart lnop lnph lnur lnpt inbb1 inbb2 inbb3 inbb4 inbb5, vce(robust) 
esttab using aro491.rtf, b(a2) se (2) starlevels (* 0.10 ** 0.05 *** 0.01) replace label nogap onecell


///Pakistan AR
prais lnbpk lnnbi lnnjt lnvt lnnbp lnus lnar lnbr  lnuru  lnbin  lnart lnop lnph lnur lnpt pkbb1 pkbb2, vce(robust) 
esttab using aro50.rtf, b(a2) se (2) starlevels (* 0.10 ** 0.05 *** 0.01) replace label nogap onecell

//Thai AR
prais lnart lnnbi lnnjt lnvt lnnbp lnus lnar lnbr  lnuru  lnbin lnbpk  lnop lnph lnur lnpt thab1 thab2 thab3, vce(robust) 
esttab using aro51.rtf, b(a2) se (2) starlevels (* 0.10 ** 0.05 *** 0.01) replace label nogap onecell




///Lag lenght

varsoc lnus, maxlag (20)
varsoc lnar,  maxlag (20)
varsoc lnbr,  maxlag (20)
varsoc lnnbi, maxlag (20)
varsoc lnnbp, maxlag (20)
varsoc lnnjt, maxlag (20)
varsoc lnuru, maxlag (20)
varsoc lnvt, maxlag (20)
varsoc lnbin, maxlag (20)
varsoc lnbpk, maxlag (20)
varsoc lnart, maxlag (20)





///ARDL

gen dus= d.lnus
gen dar= d.lnar
gen dbr= d.lnbr
gen dnbi= d.lnnbi
gen dnbp= d.lnnbp
gen dnjt= d.lnnjt
gen duru= d.lnuru
gen dvt= d.lnvt
gen dbin= d.lnbin
gen dbip= d.lnbpk
gen dart= d.lnart




//Exogeneous
gen dop= d.lnop
gen dph=d.lnph
gen dur=d.lnur
gen dpt=d.lnpt



//India nonbasmati
ardl dnbi dar  dnjt dvt lnnbp dus  dbr  duru  dbin dbip dart, lag( 2 2  2 2 2 2 12 2 1 3 3) exog(dop dph dur dpt innb1 innb2 innb3 innb4 innb5) ec btest 

esttab using cm1111.rtf, b(a2) se (2) starlevels (* 0.10 ** 0.05 *** 0.01) replace label nogap onecell

///Test statistics
//a Durbin–Watson d-statistic
estat dwatson
estat bgodfrey, lags (2)

//b. Heteroskedasticity
estat imtest, white

//c.Model Stability

cusum6 dnbi dar  dnjt dvt lnnbp dus  dbr  duru  dbin dbip dart dop dph dur dpt innb1 innb2 innb3 innb4 innb5, cs(cusum) lw(lower) uw(upper)
drop cusum upper lower



///Thailand nonaromatic

ardl dnjt dnbi dar dvt lnnbp dus  dbr  duru  dbin dbip dart, lag( 2 2 2   2 2 2 12 2 1 3 3) exog(dop dph dur dpt thnab1 thnab2 thnab3) ec btest 
esttab using cm2112.rtf, b(a2) se (2) starlevels (* 0.10 ** 0.05 *** 0.01) replace label nogap onecell

///Test statistics
//a Durbin–Watson d-statistic
estat dwatson
estat bgodfrey, lags (2)

//b. Heteroskedasticity
estat imtest, white

//c.Model Stability

cusum6 dnjt dnbi dar dvt lnnbp dus  dbr  duru  dbin dbip dart dop dph dur dpt thnab1 thnab2 thnab3, cs(cusum) lw(lower) uw(upper)
drop cusum upper lower


///Vietnam

ardl dvt dnbi dnjt lnnbp dus dar dbr  duru  dbin dbip dart, lag(  2 2 2 2  2 2 12 2 1 3 3) exog(dop dph dur dpt vtb1 vtb2 vtb3) ec btest 
esttab using cm2112.rtf, b(a2) se (2) starlevels (* 0.10 ** 0.05 *** 0.01) replace label nogap onecell

///Test statistics
//a Durbin–Watson d-statistic
estat dwatson
estat bgodfrey, lags (2)

//b. Heteroskedasticity
estat imtest, white

//c.Model Stability

cusum6 dvt dnbi dnjt lnnbp dus dar dbr  duru  dbin dbip dart dop dph dur dpt vtb1 vtb2 vtb3, cs(cusum) lw(lower) uw(upper)
drop cusum upper lower



///Pakistan nonbasmati

ardl lnnbp  dnbi dnjt dvt dus dar dbr  duru  dbin dbip dart, lag( 2 2 2 2 2 2 12 2 1 3 3) exog(dop dph dur dpt pknb1 pknb2 pknb3 pknb4 pknb5) ec btest 
esttab using cm210.rtf, b(a2) se (2) starlevels (* 0.10 ** 0.05 *** 0.01) replace label nogap onecell

///Test statistics
//a Durbin–Watson d-statistic
estat dwatson
estat bgodfrey, lags (2)

//b. Heteroskedasticity
estat imtest, white

//c.Model Stability

cusum6 lnnbp  dnbi dnjt dvt dus dar dbr  duru  dbin dbip dart dop dph dur dpt pknb1 pknb2 pknb3 pknb4 pknb5, cs(cusum) lw(lower) uw(upper)
drop cusum upper lower


///Short term model

ardl lnnbp  dnbi dnjt dvt dus dar dbr  duru  dbin dbip dart, lag( 2 2 2 2 2 2 12 2 1 3 3) exog(dop dph dur dpt pknb1 pknb2 pknb3 pknb4 pknb5)  
esttab using cm2101.rtf, b(a2) se (2) starlevels (* 0.10 ** 0.05 *** 0.01) replace label nogap onecell

///USA


ardl dus dar dbr dnbi lnnbp dnjt duru dvt dbin dbip dart, lag(2 2 12 2 2 2 2 2 1 3 3 ) exog(dop dph dur dpt usb1 usb2 usb3) ec btest 
esttab using cm011.rtf, b(a2) se (2) starlevels (* 0.10 ** 0.05 *** 0.01) replace label nogap onecell

///Test statistics
//a Durbin–Watson d-statistic
estat dwatson
estat bgodfrey, lags (2)

//b. Heteroskedasticity
estat imtest, white

//c.Model Stability

cusum6 dus dar dbr dnbi lnnbp dnjt duru dvt dbin dbip dart dop dph dur dpt dop dph dur dpt usb1 usb2 usb3, cs(cusum) lw(lower) uw(upper)
drop cusum upper lower


///Argentina

ardl dar dnbi dnjt dvt lnnbp dus  dbr  duru  dbin dbip dart, lag( 2 2 2 2 2 2 12 2 1 3 3) exog(dop dph dur dpt arb1) ec btest 
esttab using cm110.rtf, b(a2) se (2) starlevels (* 0.10 ** 0.05 *** 0.01) replace label nogap onecell

///Test statistics
//a Durbin–Watson d-statistic
estat dwatson
estat bgodfrey, lags (2)

//b. Heteroskedasticity
estat imtest, white

//c.Model Stability

cusum6 dar dus  dbr dnbi lnnbp dnjt duru dvt dbin dbip dart dop dph dur dpt arb1, cs(cusum) lw(lower) uw(upper)
drop cusum upper lower




///Brazil
ardl dbr  dnbi dnjt dvt lnnbp dus  dar  duru  dbin dbip dart, lag(12 2 2 2 2 2 2  2 1 3 3) exog(dop dph dur dpt brb1 brb2) ec btest 
esttab using cm211.rtf, b(a2) se (2) starlevels (* 0.10 ** 0.05 *** 0.01) replace label nogap onecell


///Test statistics
//a Durbin–Watson d-statistic
estat dwatson
estat bgodfrey, lags (11)

//b. Heteroskedasticity
estat imtest, white

//c.Model Stability

cusum6 dbr  dnbi dnjt dvt lnnbp dus  dar  duru  dbin dbip dart dop dph dur dpt brb1 brb2, cs(cusum) lw(lower) uw(upper)
drop cusum upper lower




//Uruguya
ardl duru dnbi dar  dnjt dvt lnnbp dus  dbr  dbin dbip dart, lag( 2 2 2  2 2 2 2 12  1 3 3) exog(dop dph dur dpt urb1) ec btest 

esttab using cm11111.rtf, b(a2) se (2) starlevels (* 0.10 ** 0.05 *** 0.01) replace label nogap onecell

///Test statistics
//a Durbin–Watson d-statistic
estat dwatson
estat bgodfrey, lags (2)

//b. Heteroskedasticity
estat imtest, white

//c.Model Stability

cusum6 duru dnbi dar  dnjt dvt lnnbp dus  dbr  dbin dbip dart urb1, cs(cusum) lw(lower) uw(upper)
drop cusum upper lower


//Basmati India


ardl dbin duru dnbi dar  dnjt dvt lnnbp dus  dbr   dbip dart, lag( 1 2 2 2  2 2 2 2 12   3 3) exog(dop dph dur dpt inbb1 inbb2 inbb3 inbb4 inbb5) ec btest 

esttab using cm21.rtf, b(a2) se (2) starlevels (* 0.10 ** 0.05 *** 0.01) replace label nogap onecell

///Test statistics
//a Durbin–Watson d-statistic
estat dwatson
estat bgodfrey, lags (1)

//b. Heteroskedasticity
estat imtest, white

//c.Model Stability

cusum6 dbin duru dnbi dar  dnjt dvt lnnbp dus  dbr   dbip dart dop dph dur dpt inbb1 inbb2 inbb3 inbb4 inbb5, cs(cusum) lw(lower) uw(upper)
drop cusum upper lower




//Basmati Pakistan


ardl dbip dbin duru dnbi dar  dnjt dvt lnnbp dus  dbr    dart, lag( 3 1 2 2 2  2 2 2 2 12    3) exog(dop dph dur dpt pkbb1 pkbb2) ec btest 

esttab using cm21.rtf, b(a2) se (2) starlevels (* 0.10 ** 0.05 *** 0.01) replace label nogap onecell

///Test statistics
//a Durbin–Watson d-statistic
estat dwatson
estat bgodfrey, lags (3)

//b. Heteroskedasticity
estat imtest, white

//c.Model Stability

cusum6 dbip dbin duru dnbi dar  dnjt dvt lnnbp dus  dbr dart dop dph dur dpt pkbb1 pkbb2, cs(cusum) lw(lower) uw(upper)
drop cusum upper lower




//Jasmine Thailand


ardl dart dbip dbin duru dnbi dar  dnjt dvt lnnbp dus  dbr, lag( 3 3 1 2 2 2  2 2 2 2 12  ) exog(dop dph dur dpt thab1 thab2 thab3) ec btest 

esttab using cm21.rtf, b(a2) se (2) starlevels (* 0.10 ** 0.05 *** 0.01) replace label nogap onecell

///Test statistics
//a Durbin–Watson d-statistic
estat dwatson
estat bgodfrey, lags (3)

//b. Heteroskedasticity
estat imtest, white

//c.Model Stability

cusum6 dbin duru dnbi dar  dnjt dvt lnnbp dus  dbr   dbip dart dop dph dur dpt thab1 thab2 thab3, cs(cusum) lw(lower) uw(upper)
drop cusum upper lower





//Final data 
save "C:\Users\mottaleb\Documents\Price-USA\Rice\ricennew1.dta", replace



